# MessageActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``MessageActuator`(Actuator)
  `body_message`

    Optional, message body Text

    Type: | string, default “”, (never None)

  `body_property`

    The message body will be set by the Property Value

    Type: | string, default “”, (never None)

  `body_type`

    Toggle message type: either Text or a PropertyName

    Type: | enum in [‘TEXT’, ‘PROPERTY’], default ‘TEXT’

  `subject`

    Optional, message subject (this is what can be filtered on)

    Type: | string, default “”, (never None)

  `to_property`

    Optional, send message to objects with this name only, or empty to broadcast

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`